<?
include ("../conectar.php"); 
include ("../funciones/fechas.php"); 



session_start();
	$usuario=limpiar($_SESSION['username']);
		$sqll=mysql_query("SELECT * FROM usuarios WHERE usu='$usuario'");
		if($dato=mysql_fetch_array($sqll)){
			$nombre=$dato['usu'];
			$palabra=explode(" ", $nombre);
			$nomb=$palabra[0];
			$codigo=$dato['codusu'];
			$codusu=explode(" ", $codigo);
			$cod=$codusu[0];
		}
		


 $codfactura=$_GET["codfactura"];

	 
	 
	//************************************************ Seleción del plazo del cliente *********************************


$fecha=date("Y-m-d");
$hora = date("H:i:s");

$query="SELECT * FROM pedidos WHERE codfactura='$codfactura'";
$rs_query=mysql_query($query);
$cdgcli=mysql_result($rs_query,0,"cdgcli");
$dsccli=mysql_result($rs_query,0,"dsccli");
$cdgven=mysql_result($rs_query,0,"cdgven");


$fecha=date("Y-m-d");
$detaju="Pedido convertido a ajuste numero ".$codfactura ;
$cdgtipaju="SPA";
 $dscaju="SALIDA POR AJUSTE";

 ////////////////////////////////////////////////////   insert del ajuste encabezado /////////////////////////////////

$query_operacion="INSERT INTO ajustes_inventario (codaju, fecaju,  detaju, borrado, cdgtipaju , dscaju, cdgusu, numaju ) VALUES ('', '$fecha',  '$detaju', '0' , '$cdgtipaju','$dscaju','$cod','$codfactura')";				
	$rs_operacion=mysql_query($query_operacion);
	$codaju=mysql_insert_id();

	
	if ($rs_operacion) { $mensaje="Factura Completa"; }
	$query_tmp="SELECT * FROM pedidos_lineas WHERE codfactura='$codfactura'  AND codigo <> 100 AND codigo <> 101 AND codigo <> 102 ORDER BY numlinea ASC";
	$rs_tmp=mysql_query($query_tmp);
	$contador=0;                        
	
	$baseimponible=0;
	while ($contador < mysql_num_rows($rs_tmp)) {
		$numlinea=mysql_result($rs_tmp,$contador,"numlinea");
		$codigo=mysql_result($rs_tmp,$contador,"codigo");
		$dscart=mysql_result($rs_tmp,$contador,"dscart");
		$cantidad=mysql_result($rs_tmp,$contador,"cantidad");
		$dcto=0;
		$mondes=0;
		
		$query_costos="SELECT cosart, cob_iv FROM web_1001 WHERE cdgbar='$codigo' " ;
		$rs_query_costos=mysql_query($query_costos);
		$cosart= mysql_result($rs_query_costos,0,"cosart");
		$cob_iv= mysql_result($rs_query_costos,0,"cob_iv");

		$importe = $cantidad * $cosart ;
		
		if ($cob_iv==1){
		
		$taza_impuesto=$importe * 1.13;
         $impuesto = $taza_impuesto - $importe  ;
		
		 } else {
		 
		 $impuesto=0;
		 

		 }
		 
	
		$baseimponible=$baseimponible+$importe;
	  	     
		$baseimpuestos=$baseimpuestos+$impuesto;
		    
		$basedescuento=$basedescuento+$mondes;
		
		$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
		
		$preciototal=round($preciototal);
		 
		$sel_insertar="INSERT INTO ajustes_inventario_lineas (codajuste,dscart,numlinea,codigo,cantidad,preivi,importe,dcto,mondes,impuesto) VALUES 
		('$codaju','$dscart','$numlinea','$codigo','$cantidad','$cosart','$importe','$dcto','$mondes','$impuesto')";
		$rs_insertar=mysql_query($sel_insertar);
	 
		
		$sel_articulos="UPDATE web_1001 SET exiact=(exiact-'$cantidad') WHERE cdgbar='$codigo'";
		$rs_articulos=mysql_query($sel_articulos);

		
		$sel_minimos = "SELECT exiact,dscart FROM web_1001 where cdgbar='$codigo' ";
		$rs_minimos= mysql_query($sel_minimos);


		$contador++;
	}
	
	
    $sel_act="UPDATE ajustes_inventario SET subtot='$baseimponible', impven='$baseimpuestos', totalajuste='$preciototal' WHERE codaju='$codaju'";
	$rs_act=mysql_query($sel_act);
	$baseimpuestos=0;
	$baseimponible=0;
	$cabecera1="Inicio >> Ventas &gt;&gt; Nuevo Ajuste ";
	$cabecera2="Transacción satisfactoria";
	
	 
	  
	
	

?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="es" lang="es">
  <head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

		<title>Ajuste Inventario</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
	
	    <script src="../src/js/jscal2.js"></script>
        <script src="../src/js/lang/en.js"></script>
    <link rel="stylesheet" type="text/css" href="../src/css/jscal2.css" />
    <link rel="stylesheet" type="text/css" href="../src/css/border-radius.css" />
    <link rel="stylesheet" type="text/css" href="../src/css/steel/steel.css" />
    <style type="text/css">
<!--
.Estilo1 {color: #000000}
-->
    </style>
</head>
	<script type="text/javascript" src="js/jquery-1.3.2.min.js"></script>

	<script type="text/javascript">

			
							///////////////////////////////////////////////////////MASCARA NUMERICA //////////////////////////////////////////////


		function aceptar() {
			location.href="index.php?cadena_busqueda=<? echo $cadena_busqueda?>";
		}
			
	

function imprimir(codaju) {
		window.open("../fpdf/imprimir_ajuste_TERMICA.php?codaju="+codaju);
	
		}	
        </script>



	</head>

	<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function aceptar() {
			location.href="index.php";
		}
		
		function imprimir(codaju) {
		//	window.open("../fpdf/imprimir_factura.php?codfactura="+codfactura);
		//window.open("../fpdf/imprimir_ajuste_PUNTO_VENTA.php?codaju="+codaju);
		//window.open("../fpdf/imprimir_factura_PUNTO_VENTA.php?codfactura="+codfactura);
		
		//parent.location.href="index.php";
		}
		
		
function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
		
		</script>
<? 
		

	
echo "<script>";
echo "imprimir($codaju);";
echo "</script>";	



		$query_parametros="SELECT basedatos FROM web_0000 ";
        $rs_query_parametros=mysql_query($query_parametros);
       $dbname= mysql_result($rs_query_parametros,0,"basedatos");


                           ///////////////////   CREA SQL DEL DETALLE DE LINEAS DEl AJUSTE DE INVENTARIO  ///////////////////////////////////


  $conexion = mysql_connect("localhost","root","") or die(mysql_error()); 
  @mysql_select_db($dbname,$conexion); 
  $fechaDeLaCopia = "-".date("d l-F-Y");     
  $ficheroDeLaCopia ="../Data_Local/Subir_a_Server/Actualizacion.sql"; 
  $encabezamientoDeLaCopia = "# Modulo Ajuste de Inventario  Actualizacion de la base de datos creada el: ".date("d-m-Y")."\n# BBDD:$dbname \r\n"; 
  $manejadorDelFicheroDeLaCopia = fopen($ficheroDeLaCopia,"a"); 
  fwrite($manejadorDelFicheroDeLaCopia, $encabezamientoDeLaCopia);  
  fclose($manejadorDelFicheroDeLaCopia);      
  

  $matrizDeTablas = array(); 
  $indiceDeLaMatrizDeTablas = 0; 
  $listadoDeTablas = mysql_list_tables($dbname); 
  for($recorridoDeTablas=0; $recorridoDeTablas<mysql_num_rows($listadoDeTablas); $recorridoDeTablas++){      
    $nombreDeTabla = mysql_tablename($listadoDeTablas,$recorridoDeTablas); 
    if ($nombreDeTabla <>"") { 
      $matrizDeTablas[$indiceDeLaMatrizDeTablas] = mysql_tablename($listadoDeTablas,$recorridoDeTablas); 

      $indiceDeLaMatrizDeTablas++; 
    } 
  } 
   


  for ($recorridoDeTablas = 0; $recorridoDeTablas < $indiceDeLaMatrizDeTablas; $recorridoDeTablas++){ 

    $autoincrementado=""; 
    $nombreDeTabla=$matrizDeTablas[$recorridoDeTablas]; 
    $hacerConsultaDeLecturaDeEstructura = mysql_query("SHOW FIELDS FROM $nombreDeTabla",$conexion); 
    $cadenaSQL = ereg_replace(",\n$","", $cadenaSQL); 
    if (!$autoIncluido && $autoincrementado>"") $cadenaSQL .= ",\n   KEY $autoincrementado (" . $autoincrementado . ")";         
    $cadenaSQL .= "\n); \n"; 
    $manejadorDelFicheroDeLaCopia = fopen($ficheroDeLaCopia,"a+b");  
    fclose($manejadorDelFicheroDeLaCopia); 

    unset($lineaDeDatos); 
	unset($deleted_lineas); 
 
$sel_lineas="SELECT * FROM ajustes_inventario_lineas WHERE codajuste='$codaju'  ORDER BY numlinea ASC";
$rs_lineas=mysql_query($sel_lineas);


						for ($i = 0; $i < mysql_num_rows($rs_lineas); $i++) {
	
	$numlinea=mysql_result($rs_lineas,$i,"numlinea");
	$cdgbar=mysql_result($rs_lineas,$i,"codigo");						
	

			
      $hacerConsultaDeLecturaDeDatos=mysql_query("SELECT * FROM web_1001 WHERE cdgbar='$cdgbar'  ", $conexion); 
	
		 
      $totalDeRegistros= "1";  
      $totalDeCampos = mysql_num_fields($hacerConsultaDeLecturaDeDatos);  

    //  for ($cuentaDeRegistros=0;$cuentaDeRegistros<$totalDeRegistros;$cuentaDeRegistros++){ 
        $matrizDeDatos=mysql_fetch_array($hacerConsultaDeLecturaDeDatos); 
		
			 $lineaDeDatos.="DELETE FROM web_1001 WHERE cdgbar='$cdgbar' ; "; 
	    $lineaDeDatos.= "\n";
   	
	    $lineaDeDatos.="INSERT INTO  web_1001 (";  
        for ($cuentaDeCampos = 0; $cuentaDeCampos < $totalDeCampos;$cuentaDeCampos++){ 
          $nombreDeCampo = mysql_field_name($hacerConsultaDeLecturaDeDatos, $cuentaDeCampos);  

          if($cuentaDeCampos == ($totalDeCampos - 1)){  
            $lineaDeDatos.= $nombreDeCampo;  
          } else {  
            $lineaDeDatos.= $nombreDeCampo.","; 
          } 
        } 

        $lineaDeDatos.=") VALUES ("; 

        for ($cuentaDeCampos=0;$cuentaDeCampos < $totalDeCampos;$cuentaDeCampos++){  
          if($cuentaDeCampos == ($totalDeCampos - 1)){  
            $lineaDeDatos.="'".addslashes($matrizDeDatos[$cuentaDeCampos])."'";  
          } else {  
            $lineaDeDatos.="'".addslashes($matrizDeDatos[$cuentaDeCampos])."',"; 
          } 

        }  
        $lineaDeDatos.= ");\n";  
      }  
      $lineaDeDatos.= "\n"; 
	  
   
   }  // cierra el ciclo busqueda de lineas del pedido 


    $manejadorDelFicheroDeLaCopia = fopen($ficheroDeLaCopia,"a+b");  
	fwrite($manejadorDelFicheroDeLaCopia, $deleted_lineas); 
    fwrite($manejadorDelFicheroDeLaCopia, $lineaDeDatos);  
    fclose($manejadorDelFicheroDeLaCopia);      

  //unlink ($ficheroDeLaCopia);
  

				  
	?>				  
					  
</head>
	<body onLoad="nobackbutton();">
		<div id="">
			<div id="zonaContenido">
         	<div class="contenidoFactura">
			   <div align="center">
				<div id="tituloForm" class="header">
               Operacion completada satisfactoriamente
			   </div>
			    <br> </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			    
			  </div>
				<div id="botonBusquedaAWR">					
				
				<div id="" align="center">
					<img src="../img/Symbol-Check_128x128-32.png" width="128" height="128" onClick="aceptar()" border="0" onMouseOver="style.cursor=cursor" title="Salir">
			
			  </div>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>




					